<div class="value-inputed">
  <ion-item lines="full">
    <ion-input
      type="text"
      placeholder="Enter Amount"
      class="ion-text-center"
      (ionInput)="setCardAmount($event)"
      [value]="item.amount"
    ></ion-input>
  </ion-item>
  <div class="app-input-error">
    <span *ngIf="maxValueExceeded"
      >Maximum value is
      {{
        item?.valueRestrictions?.maximum | currency: currency:"symbol":"1.0-2"
      }}</span
    >
    <span *ngIf="minValueExceeded"
      >Minimum value is
      {{
        item?.valueRestrictions?.minimum | currency: currency:"symbol":"1.0-2"
      }}</span
    >
  </div>
  <div class="bs-xs-10"></div>

  <p class="app-text xs ion-text-center">
    ({{
      item?.valueRestrictions?.minimum
        ? (item.valueRestrictions.minimum | currency: currency:"symbol":"1.0-2")
        : 0
    }}
    to
    {{
      item?.valueRestrictions?.maximum | currency: currency:"symbol":"1.0-2"
    }})
  </p>
  <div class="bs-xs-10"></div>
</div>
<div class="value-allowed">
  <ng-container *ngIf="item?.valueRestrictions?.exclusivelyAllowedValues">
    <ng-container
      *ngFor="let value of item.valueRestrictions.exclusivelyAllowedValues"
    >
      <ion-button
        size="small"
        shape="round"
        color="light"
        [ngClass]="{ 'active-value': item?.amount === value }"
        (click)="setExclusivelyValue(value)"
        >{{ value | currency: currency:"symbol":"1.0-2" }}</ion-button
      >
    </ng-container>
  </ng-container>
</div>
